package com.shining.cloud.pojo.information;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @description: 终端消息详情
 * @author: denghuajun
 * @time: 2019-10-17 14:03:22
 **/
@Table(name = "App_DevMsgAss")
public class DevMsgAss {
    @Column(name = "DEVMSG_INDEX")
    private String devMsgIndex;//	Varchar2(36)	Not NULL	终端消息列表Guid
    @Column(name = "TIMEID")
    private Date timeId;//	Datetime	Not NULL	统计时间
    @Column(name = "DEV_INDEX")
    private int devIndex;//	Number(6)	Not NULL	(关联pq_device表dev_index)
    @Column(name="ALARMNUM")
    private Integer alarmNum;

    @Column(name="FLOWNUM")
    private Float flowNum;

    @Column(name="COMOUTNUM")
    private Integer comOutNum;
    public String getDevMsgIndex() {
        return devMsgIndex;
    }

    public void setDevMsgIndex(String devMsgIndex) {
        this.devMsgIndex = devMsgIndex;
    }

    public Date getTimeId() {
        return timeId;
    }

    public void setTimeId(Date timeId) {
        this.timeId = timeId;
    }

    public int getDevIndex() {
        return devIndex;
    }

    public void setDevIndex(int devIndex) {
        this.devIndex = devIndex;
    }

    public Integer getAlarmNum() {
        return alarmNum;
    }

    public void setAlarmNum(Integer alarmNum) {
        this.alarmNum = alarmNum;
    }

    public Float getFlowNum() {
        return flowNum;
    }

    public void setFlowNum(Float flowNum) {
        this.flowNum = flowNum;
    }

    public Integer getComOutNum() {
        return comOutNum;
    }

    public void setComOutNum(Integer comOutNum) {
        this.comOutNum = comOutNum;
    }

    @Override
    public String toString() {
        return "DevMsgAss{" +
                "devMsgIndex='" + devMsgIndex + '\'' +
                ", timeId=" + timeId +
                ", devIndex=" + devIndex +
                ", alarmNum=" + alarmNum +
                ", flowNum=" + flowNum +
                ", comOutNum=" + comOutNum +
                '}';
    }
}